Skip to main content


Eclipse Community Forums
Forum Search:

Search      Help    Register    Login    Home
Home » Eclipse Projects » OM2M » Trouble with dependencies
Trouble with dependencies [message #1736784] Fri, 01 July 2016 16:56 Go to next message
Klemen Petrovcic is currently offline Klemen PetrovcicFriend
Messages: 34
Registered: November 2015
Member
Hi.

I cloned the latest version of the platform as described in the tutorial (before that I installed the eclipse, which is also recommended in the tutorial and comes with installed tycho plugin).

After I cloned and build the platform projects I attempted to add my own IPU plugin. I followed the tutorial and reached the "Add plugin dependencies" where I cant add the org.osgi.util.tracker.
Upon further inspection I noticed some errors in the depepndencies tab, as depicted in this picture.

I already created a few IPU plugins in the past and I had no problems following the tutorial. Would you know what could be causing this?

Thanks in advance!

https://dl.dropboxusercontent.com/u/55075286/Capture.PNG

[Updated on: Fri, 01 July 2016 16:59]

Report message to a moderator

Re: Trouble with dependencies [message #1737217 is a reply to message #1736784] Wed, 06 July 2016 13:00 Go to previous messageGo to next message
Mahdi Ben Alaya is currently offline Mahdi Ben AlayaFriend
Messages: 227
Registered: November 2013
Senior Member
Which version of Eclipse are your using ?
Could you please try again with Eclipse RCP: Mars or Luna ?
Re: Trouble with dependencies [message #1737226 is a reply to message #1737217] Wed, 06 July 2016 13:27 Go to previous messageGo to next message
Klemen Petrovcic is currently offline Klemen PetrovcicFriend
Messages: 34
Registered: November 2015
Member
I tried using the newest Eclipse version (Neon) and it works. Don't know what the problem was.
Re: Trouble with dependencies [message #1737255 is a reply to message #1737226] Wed, 06 July 2016 15:49 Go to previous message
Mahdi Ben Alaya is currently offline Mahdi Ben AlayaFriend
Messages: 227
Registered: November 2013
Senior Member
It is called magic.
Previous Topic:Running mn-cse in virtual machine.
Next Topic:Communication between two plugins
Goto Forum:
  


Current Time: Wed Sep 19 10:56:35 GMT 2018

Powered by FUDForum. Page generated in 0.02229 seconds
.:: Contact :: Home ::.

Powered by: FUDforum 3.0.2.
Copyright ©2001-2010 FUDforum Bulletin Board Software

Back to the top